# -*- coding: utf-8 -*-
#
# @file  tk_dialogs.py
# @date  2011-08-12
# @author Altan Tosun
'''
Iterierbare Objekte
'''
#Python 3-kompatible print-Funktion:
from __future__ import print_function


# list ist ein Container von geordneten Objekten

x = 100
y = 200
u = [3,4,5]
li = ['Hallo', 123456789, 'have fun', x, u, y, 99, 150]

v =  'Köln' # uft-8 beim Ausgaben in der IDLE-Konsole nicht einstellbar
w = 'good bye'

print(v)
print(x, y, u, li)
print(w)

print('Eine Eintragung der Liste ausdrucken:')
print (li[4]) # fünfte Eintragung
print (li[0]) # erste Eintragung
print (li[-1]) # letzte Eintragung
print ('Alle Eintragung untereinander in der ursprünglichen Reihenfolge auflisten:')
for entry in li: #Iteration
    print(entry)
    print('das Gleiche mit dem jeweiligen Index dabei:')
# Erstelle einen Enumerator:
e = enumerate(li) 
for i, entry in e: # eine einmalige Iteration
    print(i, entry)
print("noch einmal über 'e' iterieren:")
for i,entry in e: # e wurde durch die erste Iteration geleert.
    print(i,entry)

# tuple
# tuple ist wie list, nur dass tuple nicht änderbar ist.
# siehe Module list_and_tuple.py
tu = ('Hallo', 123456789, 'have fun', x, u, y, 99, 150)
# weil wir oben nur mit li 'read-only' Operationen durchgeführt haben,
# dann würden die alle auch füt gehen.

    
