﻿#
# @file  files.py
# @date  2011-08-12
# @author Altan Tosun
'''
Lesen und Schreiben in Dateien.
'''

from __future__ import print_function

# Aus 'station.txt' lesen und station-back.txt' schreiben
# in der umgekehrten Reihenfolge der Zeilen.

st = open('station.txt') # irgendein Pfad - nur zum Lesen
                         # (Windows/Linux-spezifisch mit Backflash)
lines = st.readlines()
st.close()

print(lines)

# möglicherweise sind die Zeilenende nicht gleich für alle Zeilen.
# Normierung der Zeilenenden:
# rstrip right strip.
lines = [line.rstrip() + '\n' for line in lines]
print(lines)
lines.reverse()
print(lines)
st2 = open('station-back.txt', 'w') # w -> write
st2.writelines(lines)
st2.close()
