# -*- coding: utf-8 -*-
#
# @file  tk_dialogs.py
# @date  2011-08-11
# @author Altan Tosun

'''
Erweitert tk_simple
'''
#Aufgabe:
#Eine Funktion implementieren, die:
# - den Namen einer Person abfragt
# - eine Begrüßung ausgehend vom Namen zusammenstellt
# - die zusammengestellte Begrüßung ausgibt

from tk_simple import tk_readstring, tk_message

def tk_greeting(): # Parameter?
    '''
    Fragt den Namen und dann begrüßt
    '''
    name = tk_readstring(title='Eingabe des Namens',
                         prompt='Bitte Ihren Namen eingeben:')
    greeting = 'Guten Morgen, ' + name
    tk_message(title='Begrüßung', message=greeting)

def _script():
    '''
    Für dieses Modul als Einstiegsmodul.
    '''
    tk_greeting()
        
# = Zuweisung (ähnlich wie :=)
# == Vergleichsoperator (besitzt den gleichen Inhalt) True/False
# __name__ -> eine eingebaute Variable mit dem Namen des Moduls
# '__main_' (als Einstiegsmodule ausgeführt)
# oder
# 'dialogs' (wenn von einem anderen Modul importiert)

if __name__=='__main__':
    _script()
